ImageIntrinsics
Date: 2016-07-03

com.nwalsh.saxon

## Class ImageIntrinsics

- java.lang.Object
- - com.nwalsh.saxon.ImageIntrinsics

- All Implemented Interfaces:
    java.awt.image.ImageObserver

      public class ImageIntrinsics
      extends java.lang.Object
      implements java.awt.image.ImageObserver

  Saxon extension to examine intrinsic size of images

  $Id: ImageIntrinsics.java 5480 2005-12-06 18:56:52Z kosek $

  Copyright (C) 2002 Norman Walsh.

  This class provides a Saxon extension to find the intrinsic size of images.

  Change Log:

  1.0

    Initial release.

- - ### Field Summary

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageIntrinsics(java.lang.String imageFn)` Constructor for ImageIntrinsics

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDepth(int defaultDepth)`
    `int` | `getWidth(int defaultWidth)`
    `boolean` | `imageUpdate(java.awt.Image img, int infoflags, int x, int y, int width, int height)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageIntrinsics

          public ImageIntrinsics(java.lang.String imageFn)

      Constructor for ImageIntrinsics

  - ### Method Detail

    - #### getWidth

          public int getWidth(int defaultWidth)

    - #### getDepth

          public int getDepth(int defaultDepth)

    - #### imageUpdate

          public boolean imageUpdate(java.awt.Image img,
                            int infoflags,
                            int x,
                            int y,
                            int width,
                            int height)

      Specified by:
        `imageUpdate` in interface `java.awt.image.ImageObserver`